# Interface PatternTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `AnyPatternTree, BindingPatternTree, DeconstructionPatternTree`

public interface PatternTree extends Tree
A tree node used as the base class for the different kinds of patterns.

Since:
  16

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface Tree

`accept, getKind`